Bug 250155 - net/iplog: Add DEPRECATED and EXPIRATION_DATE: Unmaintained and dead upstream
Summary: net/iplog: Add DEPRECATED and EXPIRATION_DATE: Unmaintained and dead upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-10-06 09:07 UTC by Udo Schweigert
Modified: 2020-10-19 05:36 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Makefile patch (488 bytes, patch)
2020-10-06 09:07 UTC, Udo Schweigert
no flags Details | Diff
Deprecate port (418 bytes, patch)
2020-10-12 11:38 UTC, Fernando Apesteguía
fernape: maintainer-approval? (udo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo Schweigert 2020-10-06 09:07:41 UTC
Created attachment 218552 [details]
Makefile patch

reflect that the port is broken for some baseversions at the moment.
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-06 09:43:55 UTC
Hummm... so where does it build?
Comment 2 Udo Schweigert 2020-10-06 09:53:28 UTC
You're right, sorry. I thought 11.3 and 12.0 are still supported. Thus - at the moment - it doesn't build at all on a supported baseversion. The software is very old and hasn't been maintained upstream for a long time. As I only maintain the port, not the SW itself, I suppose deleting the port completeley would be advised.
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-12 11:38:23 UTC
Created attachment 218690 [details]
Deprecate port

I had a look and this only builds in 12.1 right now because by some reason uses an "old" compiler (clang 8.0.1). However, there are tons of casting errors[1]. Since this is unmaintained, I would like to mark this port for removal.

Cheers.

[1] https://docs.freebsd.org/cgi/getmsg.cgi?fetch=63190579+0+current/freebsd-pkg-fallout
Comment 4 Fernando Apesteguía freebsd_committer 2020-10-18 17:41:37 UTC
Committed in ports r552675
Comment 5 Fernando Apesteguía freebsd_committer 2020-10-19 05:23:31 UTC
Not closed yet,

I need to MFH this :-)
Comment 6 Fernando Apesteguía freebsd_committer 2020-10-19 05:36:38 UTC
Merged in ports r552710